Tasks
All operations require authentication.
List domain tasksProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses domain = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ tasks/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
List cache rule tasksProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Response
Example uses cacheRuleId = 0, domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses cacheRuleId = 0, domain = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId}/ tasks/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
List SSL tasksProduction
Path parameters
The internal name of your CDN offer
Query parameters
Filter the value of function property (=)
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleFilter the value of status property (=)
cancelleddoingdoneerrortodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ ssl/ tasks/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}